Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0050860
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorrandom2022-11-11 13:002022-12-01 07:22
ReporterngarciaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR23Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0050860: Query for retrieving the Discount Filter Characteristics take too long

DescriptionQuery for retrieving the Discount Filter Characteristics take too long.

Error retrieving data for model DiscountFilterCharacteristic: Error: Failed to fetch; stackTrace: errorCallback (...);
MasterdataController.refreshMasterdata (...);
async MasterdataController.fullMasterdataRefresh (...)
Steps To ReproduceIn the customer instance, doing a full refresh, it finished with an error. Attached the query and its EXPLAIN ANALYZE
TagsNOR
Attached Files? file icon ExplainAnalyzeFilterChar [^] (11,029 bytes) 2022-11-11 13:00 [Show Content]
txt file icon queryFilterChar.txt [^] (4,906 bytes) 2022-11-11 13:01 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036175 closedebecerra Perforamnce problems loading the master data for discounts. 

-  Notes
(0144109)
sebastien_liron (developer)
2022-11-24 15:18

egoitz has done some analysis already and a temp fix is available
(0144110)
sebastien_liron (developer)
2022-11-24 15:20

we change the date, as the subject has created a critical issue in a client prod today
(0144133)
hgbot (developer)
2022-11-25 06:55

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/774 [^]
(0144245)
hgbot (developer)
2022-11-30 12:26

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/1001 [^]
(0144251)
hgbot (developer)
2022-11-30 13:35

Merge request closed: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/774 [^]
(0144284)
hgbot (developer)
2022-12-01 07:22

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/1001 [^]
(0144285)
hgbot (developer)
2022-12-01 07:22

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: c2f70a7149b725fd85552006b5aa236822991653
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 01-12-2022 06:21:49
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/c2f70a7149b725fd85552006b5aa236822991653 [^]

Fixed ISSUE-50860: Removed Tree validation in DiscountFilter Characteristics

---
M src/org/openbravo/retail/posterminal/master/DiscountFilterCharacteristic.java
---

- Issue History
Date Modified Username Field Change
2022-11-11 13:00 ngarcia New Issue
2022-11-11 13:00 ngarcia Assigned To => Retail
2022-11-11 13:00 ngarcia File Added: ExplainAnalyzeFilterChar
2022-11-11 13:00 ngarcia Triggers an Emergency Pack => No
2022-11-11 13:01 ngarcia File Added: queryFilterChar.txt
2022-11-11 13:08 ngarcia Relationship added related to 0036175
2022-11-23 11:49 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2022-11-23 11:50 ranjith_qualiantech_com Status new => scheduled
2022-11-24 15:18 sebastien_liron Note Added: 0144109
2022-11-24 15:19 sebastien_liron Issue Monitored: egoitz
2022-11-24 15:20 sebastien_liron Note Added: 0144110
2022-11-24 15:20 sebastien_liron Tag Attached: NOR
2022-11-25 06:55 hgbot Note Added: 0144133
2022-11-30 12:26 hgbot Note Added: 0144245
2022-11-30 13:35 hgbot Note Added: 0144251
2022-12-01 07:22 hgbot Note Added: 0144284
2022-12-01 07:22 hgbot Resolution open => fixed
2022-12-01 07:22 hgbot Status scheduled => closed
2022-12-01 07:22 hgbot Fixed in Version => RR23Q1
2022-12-01 07:22 hgbot Note Added: 0144285


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker